Update a connection

Use this to update the details of a specific connection.

Arguments
idstring, requiredThe identifier of the connection to be updated.
password
string, required
User's (new or old) institution password.
securityCode
string, conditional
User's institution security code.
secondaryLoginId
string, conditional
User's institution secondary login id.

Returns

Returns a job object if the request succeeded.

Otherwise, this call returns an error.

POST /users/USER.ID/connections/{connection.id}
POST /users/ea3a81/connections/8fce3b HTTP/1.1
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN

{
  "password": "Pied-Piper"
}
HTTP/1.1 202 Accepted
Content-Type: application/json

{
  "type": "job",
  "id": "61724",
  "links": {
    "self": "https://au-api.basiq.io/jobs/61724"
  }
}